Skip to content

sites-plan ​

← All modules

2 endpoints.

POST /api/v1/public/sites/plan/options ​

Plan Options

Parameters

NameInRequiredTypeDescription
x-website-secretheaderno

Request body

json
{
  "properties": {
    "email": {
      "type": "string",
      "title": "Email"
    },
    "domains": {
      "items": {
        "type": "string"
      },
      "type": "array",
      "title": "Domains"
    }
  },
  "type": "object",
  "required": [
    "email",
    "domains"
  ],
  "title": "PlanAsk"
}

200 — Successful Response

json
{}

422 — Validation Error

json
{
  "properties": {
    "detail": {
      "items": {
        "properties": {
          "loc": {
            "items": {
              "anyOf": [
                {
                  "type": "string"
                },
                {
                  "type": "integer"
                }
              ]
            },
            "type": "array",
            "title": "Location"
          },
          "msg": {
            "type": "string",
            "title": "Message"
          },
          "type": {
            "type": "string",
            "title": "Error Type"
          }
        },
        "type": "object",
        "required": [
          "loc",
          "msg",
          "type"
        ],
        "title": "ValidationError"
      },
      "type": "array",
      "title": "Detail"
    }
  },
  "type": "object",
  "title": "HTTPValidationError"
}

POST /api/v1/public/sites/plan/change ​

Plan Change

Parameters

NameInRequiredTypeDescription
x-website-secretheaderno

Request body

json
{
  "properties": {
    "email": {
      "type": "string",
      "title": "Email"
    },
    "domains": {
      "items": {
        "type": "string"
      },
      "type": "array",
      "title": "Domains"
    },
    "subscription_id": {
      "type": "integer",
      "title": "Subscription Id"
    },
    "item_id": {
      "type": "integer",
      "title": "Item Id"
    }
  },
  "type": "object",
  "required": [
    "email",
    "domains",
    "subscription_id",
    "item_id"
  ],
  "title": "PlanChange"
}

200 — Successful Response

json
{}

422 — Validation Error

json
{
  "properties": {
    "detail": {
      "items": {
        "properties": {
          "loc": {
            "items": {
              "anyOf": [
                {
                  "type": "string"
                },
                {
                  "type": "integer"
                }
              ]
            },
            "type": "array",
            "title": "Location"
          },
          "msg": {
            "type": "string",
            "title": "Message"
          },
          "type": {
            "type": "string",
            "title": "Error Type"
          }
        },
        "type": "object",
        "required": [
          "loc",
          "msg",
          "type"
        ],
        "title": "ValidationError"
      },
      "type": "array",
      "title": "Detail"
    }
  },
  "type": "object",
  "title": "HTTPValidationError"
}

Lubb Business Documentation